package com.kmall.admin.service.impl;

import com.kmall.admin.dao.SysCusNationCodeDao;
import com.kmall.admin.entity.SysCusNationCodeEntity;
import com.kmall.admin.service.SysCusNationCodeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * 国别地区代码Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-11-10 15:26:44
 */
@Service("sysCusNationCodeService")
public class SysCusNationCodeServiceImpl implements SysCusNationCodeService {
    @Autowired
    private SysCusNationCodeDao sysCusNationCodeDao;

    @Override
    public SysCusNationCodeEntity queryObject(String sn) {
        return sysCusNationCodeDao.queryObject(sn);
    }

    @Override
    public List<SysCusNationCodeEntity> queryList(Map<String, Object> map) {
        return sysCusNationCodeDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return sysCusNationCodeDao.queryTotal(map);
    }

    @Override
    public int save(SysCusNationCodeEntity sysCusNationCode) {
        return sysCusNationCodeDao.save(sysCusNationCode);
    }

    @Override
    public int update(SysCusNationCodeEntity sysCusNationCode) {
        return sysCusNationCodeDao.update(sysCusNationCode);
    }

    @Override
    public int delete(String sn) {
        return sysCusNationCodeDao.delete(sn);
    }

    @Override
    public int deleteBatch(String[]sns) {
        return sysCusNationCodeDao.deleteBatch(sns);
    }
}
